import { EventEmitter } from '../../stencil-public-runtime';
import { ComponentErrorEvent } from '../../api';
import JustifiAnalytics from '../../api/Analytics';
import { Table } from '../../utils/table';
import { ComponentClickEvent, PagingInfo, TerminalOrder } from '../../api';
export declare class JustifiTerminalOrdersList {
    accountId: string;
    authToken: string;
    columns?: string;
    terminalOrders: TerminalOrder[];
    terminalOrdersTable: Table<TerminalOrder>;
    loading: boolean;
    errorMessage: string;
    paging: PagingInfo;
    pagingParams: any;
    getTerminalOrders: Function;
    clickEvent: EventEmitter<ComponentClickEvent>;
    errorEvent: EventEmitter<ComponentErrorEvent>;
    analytics: JustifiAnalytics;
    componentWillLoad(): void;
    disconnectedCallback(): void;
    authPropChanged(): void;
    pagingOrColumnsChanged(): void;
    private initializeGetData;
    fetchData(): void;
    handleClickPrevious: (beforeCursor: string) => void;
    handleClickNext: (afterCursor: string) => void;
    rowClickHandler: (e: any) => void;
    get terminalOrderParams(): any;
    get entityId(): string[];
    get showEmptyState(): boolean;
    get showErrorState(): boolean;
    get showRowData(): boolean;
    render(): any;
}
